'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.onFinish = exports.on = undefined;

var _promise = require('babel-runtime/core-js/promise');

var _promise2 = _interopRequireDefault(_promise);

var _swap = require('swap.swap');

var _swap2 = _interopRequireDefault(_swap);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var on = exports.on = function on(emitter, _event) {
  return new _promise2.default(function (resolve) {
    return emitter.on(_event, resolve);
  });
};

var onFinish = exports.onFinish = function onFinish(emitter) {
  return new _promise2.default(function (resolve) {
    if (emitter instanceof _swap2.default) {
      emitter.on('enter step', function () {
        if (emitter.flow.state.isFinished) {
          this.unsubscribe();
          resolve();
        }
      });
    }
  });
};