'use strict';

var testnet = require('./testnet');
var mainnet = require('./mainnet');

var getConfig = require('./getConfig');

var swap = require('swap.core');
var EthTokenSwap = swap.swaps.EthTokenSwap;

var _tokenSwap = require('./tokenSwap');

module.exports = {
  testnet: getConfig(testnet),
  mainnet: getConfig(mainnet),

  tokenSwap: function tokenSwap(config) {
    return new EthTokenSwap(_tokenSwap(config)());
  }
};