'use strict';

require('dotenv').config();
require('babel-core/register');

require('app-module-path/register'); // on windows

require('app-module-path').addPath(__dirname + '/../../src');
require('app-module-path').addPath(__dirname + '/../../lib');
require('app-module-path').addPath(__dirname + '/../node_modules/swap.core/lib');
require('app-module-path').addPath(__dirname + '/../swap.core/lib');
require('app-module-path').addPath(__dirname + '/../../swap.core/lib');

var _require = require('swap.core'),
    constants = _require.constants;

var setup = require('./setup');
var helpers = require('./helpers');
var config = require('./config');

module.exports = { setup: setup, helpers: helpers, config: config, constants: constants };